#include <iostream>
#include <cstring>
using namespace std;
int main()
{
    int n,m;
    char s[100],a[100];
    cin>>s;
    cin>>a;
    n=strlen(s);
    m=strlen(a);
    if((a[0]=='a')&&(m==1)){
        for(int i=0;s[i]!=0;i++){
            if(s[i]==a[0])
                 s[i]='*';
            cout<<s[i];}
    }

    else{
        int k=0;
        for(int i=0;i<n;i++)
            if(a[i]=='a')
                k++;
        if(k==m){
            char *p,*q;
            p=strstr(s,a);
            while(p!=NULL)
            {
                q=p+m-1;
                *q='*';
                p=strstr(q,a);
            }
        }
        for(int i=0;i<n;i++)
              cout<<s[i];
    }

}